from django_filters.rest_framework import FilterSet
from django_filters.rest_framework.filters import BaseInFilter, BooleanFilter
from django_filters import NumberFilter


class UserFilter(FilterSet):
    groups = BaseInFilter(field_name="groups__name", lookup_expr="in", distinct=True)
    masters_of = NumberFilter(field_name="employee_pairs__user_id")
    is_active = BooleanFilter(field_name="is_active")
